Bug 965583 - [RFE] add shortcut key on TUI
[RFE] add shortcut key on TUI
Status: CLOSED DEFERRED
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.2
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
: FutureFeature
Depends On:
Blocks: 1040740
  Show dependency treegraph
 
Reported: 2013-05-21 07:40 EDT by Guohua Ouyang
Modified: 2014-06-29 05:14 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1040740 (view as bug list)
Environment:
Last Closed: 2014-06-22 08:56:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guohua Ouyang 2013-05-21 07:40:22 EDT
Description of problem:
It would be nice to have shortcut key on TUI installer and configurations page, then user can move quickly between options and pages.
 

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:

Actual result:
                                                  
Expect result:

Additional info:
Comment 1 Mike Burns 2013-05-21 07:46:20 EDT
What shortcut key? What is the functionality?

We do have the tab key that navigates between widgets on the TUI screens.
Comment 2 Fabian Deutsch 2013-05-21 08:11:58 EDT
<fabiand> now my question: where do you want a shortcut for what?
<fabiand> do you want a shortcut in the installer
<fabiand> or do you want a shortcut in the setup?
<ouyang_guohua> both 
<fabiand> and what shall the shortcuts call?
<ouyang_guohua> we can use it to move between pages
<fabiand> true
<ouyang_guohua> quickly than tab
<fabiand> true
<ouyang_guohua> but I don't  know how much work is there, and is it worthing? but seems all User interfaces have such functionality, like anaconda
Comment 3 Mike Burns 2013-05-21 09:54:28 EDT
I can see value in a hotkey for page navigation in the setup ui.  Having something like F11/F12 for up/down could work.  We would need to pop a warning if there are un-saved changes though.  

We might also consider:

* some generic "Apply" hotkey that is equivalant to choosing the Apply button.  
* some generic Reset hotkey that will reset the page to the current config


Perhaps we could add something like F11/F12 for back/forward on the installer as well.  Again, it would need to trigger the validation logic correctly.
Comment 4 Guohua Ouyang 2013-05-21 21:42:34 EDT
(In reply to Mike Burns from comment #3)
> I can see value in a hotkey for page navigation in the setup ui.  Having
> something like F11/F12 for up/down could work.  We would need to pop a
> warning if there are un-saved changes though.  
> 
> We might also consider:
> 
> * some generic "Apply" hotkey that is equivalant to choosing the Apply
> button.  
> * some generic Reset hotkey that will reset the page to the current config
> 
> 
> Perhaps we could add something like F11/F12 for back/forward on the
> installer as well.  Again, it would need to trigger the validation logic
> correctly.

the shortcut key I mean there is choosing a special character on the widgets, which usually mark with underline and can be accessed by using the Alt, it must be unique on a single page.

such as "A" on button "Apply", "R" on button "Reset", "C" on button cancel, then it can quickly apply the action by press ALT + “A” to apply, ALT + R to reset, ALT + C to cancel.
Comment 5 Itamar Heim 2014-06-22 08:56:22 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.